/**
 * Copyright 1998-2007, CHISEL Group, University of Victoria, Victoria, BC, Canada.
 * All rights reserved.
 */
package ca.uvic.csr.shrimp.DataBean.event;

import ca.uvic.csr.shrimp.PanelModeConstants;


/**
 * @author Rob Lintern
 */
public class AnnotationPanelSaveEvent implements CustomizedPanelActionEvent {
	private long artifactID;
	private String annotation;
	
	public AnnotationPanelSaveEvent (long artifactID, String annotation) {
		this.artifactID = artifactID;
		this.annotation = annotation;
	}
	
	public long getArtifactID () {
		return artifactID;
	}
	
	public String getAnnotation () {
		return annotation;
	}

    /**
     * @see ca.uvic.csr.shrimp.DataBean.event.CustomizedPanelActionEvent#getPanelType()
     */
    public String getPanelType() {
        return PanelModeConstants.PANEL_ANNOTATION;
    }
}
